SEARCH
NEW RPMS
DIRECTORIES
ABOUT
FAQ
VARIOUS
BLOG
DONATE


YUM REPOSITORY

 
 

pki-tools rpm build for : Scientific Linux 7. For other distributions click pki-tools.

Name : pki-tools
Version : 10.5.16 Vendor : Scientific Linux
Release : 3.el7 Date : 2019-08-08 01:10:36
Group : System Environment/Base Source RPM : pki-core-10.5.16-3.el7.src.rpm
Size : 0.99 MB
Packager : Scientific Linux
Summary : Certificate System - PKI Tools
Description :
This package contains PKI executables that can be used to help make
Certificate System into a more complete and robust PKI solution.

This package is a part of the PKI Core used by the Certificate System.


==================================
|| ABOUT \"CERTIFICATE SYSTEM\" ||
==================================

Certificate System (CS) is an enterprise software system designed
to manage enterprise Public Key Infrastructure (PKI) deployments.

PKI Core contains ALL top-level java-based Tomcat PKI components:

* pki-symkey
* pki-base
* pki-base-python2 (alias for pki-base)
* pki-base-python3
* pki-base-java
* pki-tools
* pki-server
* pki-ca
* pki-kra
* pki-ocsp
* pki-tks
* pki-tps
* pki-javadoc

which comprise the following corresponding PKI subsystems:

* Certificate Authority (CA)
* Key Recovery Authority (KRA)
* Online Certificate Status Protocol (OCSP) Manager
* Token Key Service (TKS)
* Token Processing Service (TPS)

Python clients need only install the pki-base package. This
package contains the python REST client packages and the client
upgrade framework.

Java clients should install the pki-base-java package. This package
contains the legacy and REST Java client packages. These clients
should also consider installing the pki-tools package, which contain
native and Java-based PKI tools and utilities.

Certificate Server instances require the fundamental classes and
modules in pki-base and pki-base-java, as well as the utilities in
pki-tools. The main server classes are in pki-server, with subsystem
specific Java classes and resources in pki-ca, pki-kra, pki-ocsp etc.

Finally, if Certificate System is being deployed as an individual or
set of standalone rather than embedded server(s)/service(s), it is
strongly recommended (though not explicitly required) to include at
least one PKI Theme package:

* dogtag-pki-theme (Dogtag Certificate System deployments)
* dogtag-pki-server-theme
* redhat-pki-server-theme (Red Hat Certificate System deployments)
* redhat-pki-server-theme
* customized pki theme (Customized Certificate System deployments)
* < customized>-pki-server-theme

NOTE: As a convenience for standalone deployments, top-level meta
packages may be provided which bind a particular theme to
these certificate server packages.

RPM found in directory: /mirror/ftp.scientificlinux.org/linux/scientific/7rolling/x86_64/updates/security

Content of RPM  Changelog  Provides Requires

Download
ftp.pbone.net  pki-tools-10.5.16-3.el7.x86_64.rpm
ftp.pbone.net  pki-tools-10.5.16-3.el7.x86_64.rpm
ftp.pbone.net  pki-tools-10.5.16-3.el7.x86_64.rpm
ftp.pbone.net  pki-tools-10.5.16-3.el7.x86_64.rpm
ftp.pbone.net  pki-tools-10.5.16-3.el7.x86_64.rpm
ftp.pbone.net  pki-tools-10.5.16-3.el7.x86_64.rpm
ftp.pbone.net  pki-tools-10.5.16-3.el7.x86_64.rpm
ftp.pbone.net  pki-tools-10.5.16-3.el7.x86_64.rpm
ftp.pbone.net  pki-tools-10.5.16-3.el7.x86_64.rpm
ftp.pbone.net  pki-tools-10.5.16-3.el7.x86_64.rpm
     

Provides :
pki-java-tools
pki-native-tools
pki-tools
pki-tools(x86-64)

Requires :
libnss3.so(NSS_3.6)(64bit)
libc.so.6()(64bit)
libssl3.so(NSS_3.14)(64bit)
libplds4.so()(64bit)
libnss3.so(NSS_3.10)(64bit)
nss-tools => 3.28.3
libsmime3.so(NSS_3.4)(64bit)
libsmime3.so(NSS_3.2)(64bit)
libnss3.so()(64bit)
rtld(GNU_HASH)
libnss3.so(NSS_3.9)(64bit)
libplc4.so()(64bit)
openldap-clients
java-1.8.0-openjdk-headless
pki-base = 10.5.16-3.el7
libnss3.so(NSS_3.4)(64bit)
liblber-2.4.so.2()(64bit)
libnss3.so(NSS_3.10.2)(64bit)
rpmlib(PayloadIsXz) <= 5.2-1
libldap-2.4.so.2()(64bit)
libsmime3.so()(64bit)
libnssutil3.so()(64bit)
libssl3.so()(64bit)
libc.so.6(GLIBC_2.14)(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.3.4)(64bit)
libnss3.so(NSS_3.5)(64bit)
/bin/sh
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
libssl3.so(NSS_3.12.6)(64bit)
libnspr4.so()(64bit)
jpackage-utils => 0:1.7.5-10
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
libc.so.6(GLIBC_2.4)(64bit)
libnss3.so(NSS_3.2)(64bit)
libnss3.so(NSS_3.7)(64bit)
libssl3.so(NSS_3.4)(64bit)
libc.so.6(GLIBC_2.3)(64bit)
libnss3.so(NSS_3.3)(64bit)
/bin/bash
pki-base-java = 10.5.16-3.el7
libssl3.so(NSS_3.2)(64bit)


Content of RPM :
/usr/bin/AtoB
/usr/bin/AuditVerify
/usr/bin/BtoA
/usr/bin/CMCEnroll
/usr/bin/CMCRequest
/usr/bin/CMCResponse
/usr/bin/CMCRevoke
/usr/bin/CMCSharedToken
/usr/bin/CRMFPopClient
/usr/bin/DRMTool
/usr/bin/ExtJoiner
/usr/bin/GenExtKeyUsage
/usr/bin/GenIssuerAltNameExt
/usr/bin/GenSubjectAltNameExt
/usr/bin/HttpClient
/usr/bin/KRATool
/usr/bin/OCSPClient
/usr/bin/PKCS10Client
/usr/bin/PKCS12Export
/usr/bin/PKICertImport
/usr/bin/PrettyPrintCert
/usr/bin/PrettyPrintCrl
/usr/bin/TokenInfo
/usr/bin/p7tool
/usr/bin/pki
/usr/bin/revoker
/usr/bin/setpin
/usr/bin/sslget
/usr/bin/tkstool
/usr/share/doc/pki-tools-10.5.16
There is 38 files more in these RPM.